/*
 *
 * Perforce/JBuilder Opentool
 * Copyright (C) 2001 David Freels
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.dafreels.opentools.actions;

//JBuilder
import com.dafreels.opentools.MessageWriter;
import com.dafreels.vcs.command.MessageFormatter;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      DF Systems
 * @author David Freels
 * @version 1.0
 */

public class PreviewAction extends SyncAction {

  public PreviewAction(boolean onFileTabMenu) {
    super(
      "Sync to head (Preview)",
      "Sync files preview - what files would sync copy to client?",
      null,
      onFileTabMenu);
  }
 
  /**
    * output the error messages and stdout messages
    * @return true if there are not error messages
    */
  protected boolean outputMessages(boolean outputExtraLines) {
    boolean success =
      MessageFormatter.getInstance().getErrorMessageCount() == 0;
    MessageWriter.outputErrorMessages(MessageFormatter.getInstance());
    if (MessageFormatter.getMessageCount() > 1) {
      //Output the p4 messages
      MessageWriter.outputMessages(MessageFormatter.getInstance());
    }
    return success;
  }

  protected String getCommand() {
    return com.dafreels.vcs.command.Command.SYNCPREVIEW;
  }
}